/// <reference types="react" />
import * as React from 'react';
export interface HeadingProps extends React.HTMLAttributes<HTMLHeadingElement> {
    type?: 'H1' | 'H2' | 'H3' | 'H4' | 'H5' | 'H6';
    /** Content to be wrapped  */
    children: React.ReactNode;
}
export declare class Heading extends React.Component<HeadingProps, {}> {
    static defaultProps: Partial<HeadingProps>;
    render(): React.DOMElement<{
        readonly type?: "H1" | "H2" | "H3" | "H4" | "H5" | "H6" | undefined;
        readonly defaultChecked?: boolean | undefined;
        readonly defaultValue?: string | string[] | undefined;
        readonly suppressContentEditableWarning?: boolean | undefined;
        readonly accept?: string | undefined;
        readonly acceptCharset?: string | undefined;
        readonly accessKey?: string | undefined;
        readonly action?: string | undefined;
        readonly allowFullScreen?: boolean | undefined;
        readonly allowTransparency?: boolean | undefined;
        readonly alt?: string | undefined;
        readonly async?: boolean | undefined;
        readonly autoComplete?: string | undefined;
        readonly autoFocus?: boolean | undefined;
        readonly autoPlay?: boolean | undefined;
        readonly capture?: boolean | undefined;
        readonly cellPadding?: string | number | undefined;
        readonly cellSpacing?: string | number | undefined;
        readonly charSet?: string | undefined;
        readonly challenge?: string | undefined;
        readonly checked?: boolean | undefined;
        readonly cite?: string | undefined;
        readonly classID?: string | undefined;
        readonly className?: string | undefined;
        readonly cols?: number | undefined;
        readonly colSpan?: number | undefined;
        readonly content?: string | undefined;
        readonly contentEditable?: boolean | undefined;
        readonly contextMenu?: string | undefined;
        readonly controls?: boolean | undefined;
        readonly coords?: string | undefined;
        readonly crossOrigin?: string | undefined;
        readonly data?: string | undefined;
        readonly dateTime?: string | undefined;
        readonly default?: boolean | undefined;
        readonly defer?: boolean | undefined;
        readonly dir?: string | undefined;
        readonly disabled?: boolean | undefined;
        readonly download?: any;
        readonly draggable?: boolean | undefined;
        readonly encType?: string | undefined;
        readonly form?: string | undefined;
        readonly formAction?: string | undefined;
        readonly formEncType?: string | undefined;
        readonly formMethod?: string | undefined;
        readonly formNoValidate?: boolean | undefined;
        readonly formTarget?: string | undefined;
        readonly frameBorder?: string | number | undefined;
        readonly headers?: string | undefined;
        readonly height?: string | number | undefined;
        readonly hidden?: boolean | undefined;
        readonly high?: number | undefined;
        readonly href?: string | undefined;
        readonly hrefLang?: string | undefined;
        readonly htmlFor?: string | undefined;
        readonly httpEquiv?: string | undefined;
        readonly id?: string | undefined;
        readonly inputMode?: string | undefined;
        readonly integrity?: string | undefined;
        readonly is?: string | undefined;
        readonly keyParams?: string | undefined;
        readonly keyType?: string | undefined;
        readonly kind?: string | undefined;
        readonly label?: string | undefined;
        readonly lang?: string | undefined;
        readonly list?: string | undefined;
        readonly loop?: boolean | undefined;
        readonly low?: number | undefined;
        readonly manifest?: string | undefined;
        readonly marginHeight?: number | undefined;
        readonly marginWidth?: number | undefined;
        readonly max?: string | number | undefined;
        readonly maxLength?: number | undefined;
        readonly media?: string | undefined;
        readonly mediaGroup?: string | undefined;
        readonly method?: string | undefined;
        readonly min?: string | number | undefined;
        readonly minLength?: number | undefined;
        readonly multiple?: boolean | undefined;
        readonly muted?: boolean | undefined;
        readonly name?: string | undefined;
        readonly nonce?: string | undefined;
        readonly noValidate?: boolean | undefined;
        readonly open?: boolean | undefined;
        readonly optimum?: number | undefined;
        readonly pattern?: string | undefined;
        readonly placeholder?: string | undefined;
        readonly playsInline?: boolean | undefined;
        readonly poster?: string | undefined;
        readonly preload?: string | undefined;
        readonly radioGroup?: string | undefined;
        readonly readOnly?: boolean | undefined;
        readonly rel?: string | undefined;
        readonly required?: boolean | undefined;
        readonly reversed?: boolean | undefined;
        readonly role?: string | undefined;
        readonly rows?: number | undefined;
        readonly rowSpan?: number | undefined;
        readonly sandbox?: string | undefined;
        readonly scope?: string | undefined;
        readonly scoped?: boolean | undefined;
        readonly scrolling?: string | undefined;
        readonly seamless?: boolean | undefined;
        readonly selected?: boolean | undefined;
        readonly shape?: string | undefined;
        readonly size?: number | undefined;
        readonly sizes?: string | undefined;
        readonly slot?: string | undefined;
        readonly span?: number | undefined;
        readonly spellCheck?: boolean | undefined;
        readonly src?: string | undefined;
        readonly srcDoc?: string | undefined;
        readonly srcLang?: string | undefined;
        readonly srcSet?: string | undefined;
        readonly start?: number | undefined;
        readonly step?: string | number | undefined;
        readonly style?: React.CSSProperties | undefined;
        readonly summary?: string | undefined;
        readonly tabIndex?: number | undefined;
        readonly target?: string | undefined;
        readonly title?: string | undefined;
        readonly useMap?: string | undefined;
        readonly value?: string | number | string[] | undefined;
        readonly width?: string | number | undefined;
        readonly wmode?: string | undefined;
        readonly wrap?: string | undefined;
        readonly about?: string | undefined;
        readonly datatype?: string | undefined;
        readonly inlist?: any;
        readonly prefix?: string | undefined;
        readonly property?: string | undefined;
        readonly resource?: string | undefined;
        readonly typeof?: string | undefined;
        readonly vocab?: string | undefined;
        readonly autoCapitalize?: string | undefined;
        readonly autoCorrect?: string | undefined;
        readonly autoSave?: string | undefined;
        readonly color?: string | undefined;
        readonly itemProp?: string | undefined;
        readonly itemScope?: boolean | undefined;
        readonly itemType?: string | undefined;
        readonly itemID?: string | undefined;
        readonly itemRef?: string | undefined;
        readonly results?: number | undefined;
        readonly security?: string | undefined;
        readonly unselectable?: boolean | undefined;
        readonly dangerouslySetInnerHTML?: {
            __html: string;
        } | undefined;
        readonly onCopy?: React.EventHandler<React.ClipboardEvent<HTMLHeadingElement>> | undefined;
        readonly onCopyCapture?: React.EventHandler<React.ClipboardEvent<HTMLHeadingElement>> | undefined;
        readonly onCut?: React.EventHandler<React.ClipboardEvent<HTMLHeadingElement>> | undefined;
        readonly onCutCapture?: React.EventHandler<React.ClipboardEvent<HTMLHeadingElement>> | undefined;
        readonly onPaste?: React.EventHandler<React.ClipboardEvent<HTMLHeadingElement>> | undefined;
        readonly onPasteCapture?: React.EventHandler<React.ClipboardEvent<HTMLHeadingElement>> | undefined;
        readonly onCompositionEnd?: React.EventHandler<React.CompositionEvent<HTMLHeadingElement>> | undefined;
        readonly onCompositionEndCapture?: React.EventHandler<React.CompositionEvent<HTMLHeadingElement>> | undefined;
        readonly onCompositionStart?: React.EventHandler<React.CompositionEvent<HTMLHeadingElement>> | undefined;
        readonly onCompositionStartCapture?: React.EventHandler<React.CompositionEvent<HTMLHeadingElement>> | undefined;
        readonly onCompositionUpdate?: React.EventHandler<React.CompositionEvent<HTMLHeadingElement>> | undefined;
        readonly onCompositionUpdateCapture?: React.EventHandler<React.CompositionEvent<HTMLHeadingElement>> | undefined;
        readonly onFocus?: React.EventHandler<React.FocusEvent<HTMLHeadingElement>> | undefined;
        readonly onFocusCapture?: React.EventHandler<React.FocusEvent<HTMLHeadingElement>> | undefined;
        readonly onBlur?: React.EventHandler<React.FocusEvent<HTMLHeadingElement>> | undefined;
        readonly onBlurCapture?: React.EventHandler<React.FocusEvent<HTMLHeadingElement>> | undefined;
        readonly onChange?: React.EventHandler<React.FormEvent<HTMLHeadingElement>> | undefined;
        readonly onChangeCapture?: React.EventHandler<React.FormEvent<HTMLHeadingElement>> | undefined;
        readonly onInput?: React.EventHandler<React.FormEvent<HTMLHeadingElement>> | undefined;
        readonly onInputCapture?: React.EventHandler<React.FormEvent<HTMLHeadingElement>> | undefined;
        readonly onReset?: React.EventHandler<React.FormEvent<HTMLHeadingElement>> | undefined;
        readonly onResetCapture?: React.EventHandler<React.FormEvent<HTMLHeadingElement>> | undefined;
        readonly onSubmit?: React.EventHandler<React.FormEvent<HTMLHeadingElement>> | undefined;
        readonly onSubmitCapture?: React.EventHandler<React.FormEvent<HTMLHeadingElement>> | undefined;
        readonly onInvalid?: React.EventHandler<React.FormEvent<HTMLHeadingElement>> | undefined;
        readonly onInvalidCapture?: React.EventHandler<React.FormEvent<HTMLHeadingElement>> | undefined;
        readonly onLoad?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onLoadCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onError?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onErrorCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onKeyDown?: React.EventHandler<React.KeyboardEvent<HTMLHeadingElement>> | undefined;
        readonly onKeyDownCapture?: React.EventHandler<React.KeyboardEvent<HTMLHeadingElement>> | undefined;
        readonly onKeyPress?: React.EventHandler<React.KeyboardEvent<HTMLHeadingElement>> | undefined;
        readonly onKeyPressCapture?: React.EventHandler<React.KeyboardEvent<HTMLHeadingElement>> | undefined;
        readonly onKeyUp?: React.EventHandler<React.KeyboardEvent<HTMLHeadingElement>> | undefined;
        readonly onKeyUpCapture?: React.EventHandler<React.KeyboardEvent<HTMLHeadingElement>> | undefined;
        readonly onAbort?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onAbortCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onCanPlay?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onCanPlayCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onCanPlayThrough?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onCanPlayThroughCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onDurationChange?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onDurationChangeCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onEmptied?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onEmptiedCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onEncrypted?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onEncryptedCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onEnded?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onEndedCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onLoadedData?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onLoadedDataCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onLoadedMetadata?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onLoadedMetadataCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onLoadStart?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onLoadStartCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onPause?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onPauseCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onPlay?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onPlayCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onPlaying?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onPlayingCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onProgress?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onProgressCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onRateChange?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onRateChangeCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onSeeked?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onSeekedCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onSeeking?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onSeekingCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onStalled?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onStalledCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onSuspend?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onSuspendCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onTimeUpdate?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onTimeUpdateCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onVolumeChange?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onVolumeChangeCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onWaiting?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onWaitingCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onClick?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onClickCapture?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onContextMenu?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onContextMenuCapture?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onDoubleClick?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onDoubleClickCapture?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onDrag?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragCapture?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragEnd?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragEndCapture?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragEnter?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragEnterCapture?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragExit?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragExitCapture?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragLeave?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragLeaveCapture?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragOver?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragOverCapture?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragStart?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDragStartCapture?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDrop?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onDropCapture?: React.EventHandler<React.DragEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseDown?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseDownCapture?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseEnter?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseLeave?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseMove?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseMoveCapture?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseOut?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseOutCapture?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseOver?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseOverCapture?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseUp?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onMouseUpCapture?: React.EventHandler<React.MouseEvent<HTMLHeadingElement>> | undefined;
        readonly onSelect?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onSelectCapture?: React.EventHandler<React.SyntheticEvent<HTMLHeadingElement>> | undefined;
        readonly onTouchCancel?: React.EventHandler<React.TouchEvent<HTMLHeadingElement>> | undefined;
        readonly onTouchCancelCapture?: React.EventHandler<React.TouchEvent<HTMLHeadingElement>> | undefined;
        readonly onTouchEnd?: React.EventHandler<React.TouchEvent<HTMLHeadingElement>> | undefined;
        readonly onTouchEndCapture?: React.EventHandler<React.TouchEvent<HTMLHeadingElement>> | undefined;
        readonly onTouchMove?: React.EventHandler<React.TouchEvent<HTMLHeadingElement>> | undefined;
        readonly onTouchMoveCapture?: React.EventHandler<React.TouchEvent<HTMLHeadingElement>> | undefined;
        readonly onTouchStart?: React.EventHandler<React.TouchEvent<HTMLHeadingElement>> | undefined;
        readonly onTouchStartCapture?: React.EventHandler<React.TouchEvent<HTMLHeadingElement>> | undefined;
        readonly onScroll?: React.EventHandler<React.UIEvent<HTMLHeadingElement>> | undefined;
        readonly onScrollCapture?: React.EventHandler<React.UIEvent<HTMLHeadingElement>> | undefined;
        readonly onWheel?: React.EventHandler<React.WheelEvent<HTMLHeadingElement>> | undefined;
        readonly onWheelCapture?: React.EventHandler<React.WheelEvent<HTMLHeadingElement>> | undefined;
        readonly onAnimationStart?: React.EventHandler<React.AnimationEvent<HTMLHeadingElement>> | undefined;
        readonly onAnimationStartCapture?: React.EventHandler<React.AnimationEvent<HTMLHeadingElement>> | undefined;
        readonly onAnimationEnd?: React.EventHandler<React.AnimationEvent<HTMLHeadingElement>> | undefined;
        readonly onAnimationEndCapture?: React.EventHandler<React.AnimationEvent<HTMLHeadingElement>> | undefined;
        readonly onAnimationIteration?: React.EventHandler<React.AnimationEvent<HTMLHeadingElement>> | undefined;
        readonly onAnimationIterationCapture?: React.EventHandler<React.AnimationEvent<HTMLHeadingElement>> | undefined;
        readonly onTransitionEnd?: React.EventHandler<React.TransitionEvent<HTMLHeadingElement>> | undefined;
        readonly onTransitionEndCapture?: React.EventHandler<React.TransitionEvent<HTMLHeadingElement>> | undefined;
    }, Element>;
}
